aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-06-18 00:38:00 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-06-18 00:38:00 +0300
commit76789306396a8289e63ab50cfad1c1e14b98fe86 (patch)
tree69ed99348f07cb4f3db05c17e0d3d095c44b74dd
parent31fdb6797ed19f008f25e26e452e297981295410 (diff)
remove leading "go" from go_version
-rwxr-xr-xinternal/p10k.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index da1210ba..7ebe929b 100755
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -947,7 +947,7 @@ prompt_go_version() {
_p9k_cached_cmd_stdout go version || return
emulate -L zsh && setopt extendedglob
local -a match
- [[ $_P9K_RETVAL == (#b)*(go[[:digit:].]##)* ]] || return
+ [[ $_P9K_RETVAL == (#b)*go([[:digit:].]##)* ]] || return
local v=$match[1]
local p=$GOPATH
if [[ -z $p ]]; then